Subject: Re: bug#32334: Window resize fails in remote X11

From: Robert Pluim <[email-masked]>
Date: Tue, 07 Aug 2018 10:35:37 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Mon, 06 Aug 2018 12:12:51 +0200
>> 
>> I also tested with Cygwin's XServer, which supports the double
>> buffering extension. I used the same ssh session, and emacs came up
>> and looked and worked fine.
>> 
>> So at this point itʼs looking more like an issue with VcXsrv than with
>> emacs. Iʼll see if I can engage with them after I get back from vacation.
>
> Thanks, I think we are making good progress here.  If nothing else, we
> could update etc/PROBLEMS with the information about the faulty X
> server and the suggested replacement/workaround.
>
> Does x-server-vendor and/or x-server-version disclose in any way that
> this particular X server is being used?

This is pretty close to what I see on Xorg on Ubuntu, so probably can't be used:

(x-server-version)
(11 0 12000001)

But this looks fairly unique:

(x-server-vendor)
"HC-Consult"

Were you thinking of conditionally disabling double-buffering based on
x-server-vendor?

Robert